Ubuntu

nautilus crashed with SIGSEGV in g_str_hash()

Reported by Stim on 2011-02-13
194
This bug affects 33 people
Affects Status Importance Assigned to Milestone
Nautilus
Fix Released
Medium
nautilus (Ubuntu)
Medium
Rodrigo Moya

Bug Description

Binary package hint: nautilus

This is reproducible but seems specific to the system.

TESTCASE:
1. Click on the application place (Top left corner)
2. Select 'Find Internet Apps'. It opens Nautilus
3. Click on the window close button

Result:
Nautilus crashes and generate this report.

crash when click icon (find media apps)

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: nautilus 1:2.32.2.1-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-3.30-generic 2.6.38-rc4
Uname: Linux 2.6.38-3-generic x86_64
Architecture: amd64
Date: Sun Feb 13 11:05:28 2011
ExecutablePath: /usr/bin/nautilus
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110212)
ProcCmdline: nautilus
ProcEnviron:
 LANGUAGE=en_US.UTF-8:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7f1c8b2a7bb0 <g_str_hash>: movzbl (%rdi),%edx
 PC (0x7f1c8b2a7bb0) ok
 source "(%rdi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: nautilus
StacktraceTop:
 g_str_hash () from /lib/libglib-2.0.so.0
 ?? ()
 g_hash_table_lookup () from /lib/libglib-2.0.so.0
 ?? ()
 ?? ()
Title: nautilus crashed with SIGSEGV in g_str_hash()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
usr_lib_nautilus: nautilus 1:2.32.2.1-0ubuntu5evince 2.32.0-0ubuntu9brasero 2.32.1-0ubuntu1file-roller 2.32.1-0ubuntu2gnome-disk-utility 2.32.1-0ubuntu3nautilus-sendto 2.32.0-0ubuntu1nautilus-share 0.7.2-14ubuntu1ubuntuone-client-gnome 1.5.4-0ubuntu1ubuntuone-client-gnome 1.5.4-0ubuntu1ubuntuone-client-gnome 1.5.4-0ubuntu1totem 2.32.0-0ubuntu8

Stim (stim) wrote :

Stacktrace:
 #0 g_str_hash (v=0x0) at /build/buildd/glib2.0-2.28.0/glib/gstring.c:142
  p = (const signed char *) 0x0
  h = Unhandled dwarf expression opcode 0x9f
StacktraceTop: g_str_hash (v=0x0) at /build/buildd/glib2.0-2.28.0/glib/gstring.c:142

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
description: updated
Changed in nautilus (Ubuntu):
status: New → Triaged
Sebastien Bacher (seb128) wrote :
Changed in nautilus (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
Sebastien Bacher (seb128) wrote :

Rodrigo, could you have a look to this one?

Jean-Baptiste Lallement (jibel) wrote :

here is the launcher with ubuntu-dark-mono icon theme activated

Jean-Baptiste Lallement (jibel) wrote :

and gnome-appearance-properties with all the icon themes looking the same.
We probably have 2 bugs here and the nautilus crash being a side effect of the icon theme problem.

Changed in nautilus (Ubuntu):
status: Triaged → In Progress
Rodrigo Moya (rodrigo-moya) wrote :

From seb128: "to replicate this bug, remove the svg loader and try to run nautilus, or just edit the cache in /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders to remove the svg loader"

Trying this as soon as my virtual machine is setup

Sebastien Bacher (seb128) wrote :

just for the record the bug leading to the broken situation was bug #719861

Barry Drake (b-drake) wrote :

Using today's daily build of the Natty LiveCD. Problem still as before even though I understood a fix had been committed.

Barry Drake (b-drake) wrote :

I feel that this bug is directly linked to a range of Compiz/Unity issues due to Nouveau. For me, the click on the Ubuntu icon, (top panel left-hand side), gives a window with a black outline and no menus or close 'x' button. This seems to be the above bug issue.

Rodrigo Moya (rodrigo-moya) wrote :

Haven't been able to replicate this on a classic desktop session nor with unity running

On Tue, 2011-02-22 at 09:49 +0000, Rodrigo Moya wrote:
> Haven't been able to replicate this on a classic desktop session nor
> with unity running

I'm fairly sure it links with various bug reports (typically 710377) in
which Compiz/unity break under Nouveau driver. Nautilus only crashes
when launched from a faulty Unity window. I think the problem will be
resolved when the Unity/Compiz bug is sorted. I've tried to run Natty
on four different computers so far, and all show slight variations on
the same problem. If I can help, I will.

Regards, Barry.

--
Barry Drake is a member of the the Ubuntu Advertising team.
http://ubuntuadverts.org/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.32.2.1-0ubuntu6

---------------
nautilus (1:2.32.2.1-0ubuntu6) natty; urgency=low

  [ Martin Pitt ]
  * Add 17_disable_locked_automounting.patch: Defer automounting while screen
    is locked, until the screen saver becomes inactive again. (LP: #714958)

  [ Rodrigo Moya ]
  * debian/patches/96_no-null-in-g-str-hash.patch:
    - Added patch to avoid crashing on g_str_hash (LP: #718098)
 -- Martin Pitt <email address hidden> Tue, 22 Feb 2011 14:32:25 +0100

Changed in nautilus (Ubuntu):
status: In Progress → Fix Released
Sebastien Bacher (seb128) wrote :

the merge was buggy and didn't update the serie so the patch is not used, reopening

Changed in nautilus (Ubuntu):
status: Fix Released → Triaged
Sebastien Bacher (seb128) wrote :

ups, the patch is in the serie but doesn't work rather

Changed in nautilus (Ubuntu):
status: Triaged → In Progress
Changed in nautilus (Ubuntu):
status: In Progress → Fix Committed
Changed in nautilus:
importance: Unknown → Medium
status: Unknown → New
Changed in nautilus:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:2.32.2.1-0ubuntu8

---------------
nautilus (1:2.32.2.1-0ubuntu8) natty; urgency=low

  [ Sebastien Bacher ]
  * debian/source_nautilus.py:
    - better formating and small code improvements, thanks Matt Zimmerman

  [ Rodrigo Moya ]
  * debian/patches/96_no-null-in-g-str-hash.patch:
    - Updated with the correct upstream patch (LP: #718098)

  [ Omer Akram ]
  * debian/patches/97_keyboard_nav_in_sidebar.patch
    - Allow keyboard navigation in sidebar with Enter/Space. (LP: #649993)
 -- Omer Akram <email address hidden> Mon, 28 Feb 2011 12:38:32 +0500

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.